=== debian/tests/control ===
Tests: unittest.sh
Depends: @builddeps@, libaxtls-dev, libaxtlsp-perl
# , lua-axtlsl, lua-bitop, lua-socket
# missing lua-bitop for lua5.3
