=== debian/changelog ===
axtls (2.1.5+ds-1build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:39:47 +0100

axtls (2.1.5+ds-1build1) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 10:50:47 +0100

axtls (2.1.5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #932027)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 16 Dec 2019 09:16:21 +0800
