=== debian/control ===
Source: axtls
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 psmisc,
 swig,
 dh-lua,
 libperl-dev,
 gnutls-bin,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Section: libs
Homepage: http://axtls.sourceforge.net/
Vcs-Git: https://salsa.debian.org/yangfl-guest/axtls.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/axtls

Package: libaxtls-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libaxtls1 (= ${binary:Version}), ${misc:Depends}
Description: Highly configurable client/server TLSv1.2 library (development files)
 The axTLS embedded SSL project is a highly configurable client/server TLSv1.2
 library designed for platforms with small memory requirements, and is suited
 to embedded projects. It comes with a small HTTP/HTTPS server and additional
 test tools.
 .
 This package contains the header files.

Package: libaxtls1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Highly configurable client/server TLSv1.2 library
 The axTLS embedded SSL project is a highly configurable client/server TLSv1.2
 library designed for platforms with small memory requirements, and is suited
 to embedded projects. It comes with a small HTTP/HTTPS server and additional
 test tools.

Package: libaxtlsp-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Highly configurable client/server TLSv1.2 library (Perl binding)
 The axTLS embedded SSL project is a highly configurable client/server TLSv1.2
 library designed for platforms with small memory requirements, and is suited
 to embedded projects. It comes with a small HTTP/HTTPS server and additional
 test tools.
 .
 This package contains the Perl binding.

Package: lua-axtlsl
Section: interpreters
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Highly configurable client/server TLSv1.2 library (Lua binding)
 The axTLS embedded SSL project is a highly configurable client/server TLSv1.2
 library designed for platforms with small memory requirements, and is suited
 to embedded projects. It comes with a small HTTP/HTTPS server and additional
 test tools.
 .
 This package contains the Lua binding.

Package: axhttpd
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Highly configurable client/server TLSv1.2 library (web server)
 The axTLS embedded SSL project is a highly configurable client/server TLSv1.2
 library designed for platforms with small memory requirements, and is suited
 to embedded projects. It comes with a small HTTP/HTTPS server and additional
 test tools.
 .
 This package contains the demo HTTP/HTTPS server.
