=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export MULTIARCH = $(DEB_HOST_MULTIARCH)
export NONETWORK = 1


%:
	dh $@ --with lua

autoconfig:
	ln -sf ../debian/config/.config config/.config
	ln -sf ../debian/config/config.h config/config.h
	ln -sf ../debian/config/open-ssl.cnf config/open-ssl.cnf

override_dh_auto_clean: autoconfig
	dh_auto_clean
	+dh_auto_clean --buildsystem=lua
	rm -rf config/.config config/config.h config/open-ssl.cnf _stage

override_dh_auto_configure: autoconfig
	dh_auto_configure
	+dh_auto_configure --buildsystem=lua

override_dh_auto_build:
	dh_auto_build
	+dh_auto_build --buildsystem=lua

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/htpasswd debian/tmp/usr/bin/axhtpasswd
	+dh_auto_install --buildsystem=lua

override_dh_install:
	dh_install
	rm -f \
		debian/libaxtls-dev/usr/share/doc/libaxtls-dev/samples/c/.depend \
		debian/libaxtls-dev/usr/share/doc/libaxtls-dev/samples/c/axssl.o*
